variables:
  GITLAB_CI_IMAGE_HUGO: 'registry.gitlab.com/pages/hugo/hugo_extended:latest'
  GIT_SUBMODULE_STRATEGY: recursive
stages:
  - build
  - deploy
build:
  stage: build
  image: ${GITLAB_CI_IMAGE_HUGO}
  before_script:
    - apk add -U --no-cache git
  script:
    - hugo -b "$CI_PAGES_URL"
  artifacts:
    expire_in: 1 week
    when: always
    paths:
      - public
  except:
    - master
pages:
  stage: deploy
  image: ${GITLAB_CI_IMAGE_HUGO}
  before_script:
    - apk add -U --no-cache git
  script:
    - hugo
  artifacts:
    paths:
      - public
  only:
    - master
